org.apache.ignite.internal.processors.streamer

## Class GridStreamerWindowIterator<T>

- java.lang.Object
- - org.apache.ignite.internal.processors.streamer.GridStreamerWindowIterator<T>

All Implemented Interfaces:
  Iterator<T>

    public abstract class GridStreamerWindowIterator<T>
    extends Object
    implements Iterator<T>

Helper iterator extension which prevents regular element remove and adds removex() method tracking which element was actually removed.

### Constructor Summary

Constructors
Constructor and Description
`GridStreamerWindowIterator()`

### Method Summary

Methods
`void` `remove()`
`abstract T` `removex()` Remove element from the underlying collection and return removed element.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.util.Iterator

`hasNext, next`

### Constructor Detail

#### GridStreamerWindowIterator

    public GridStreamerWindowIterator()

### Method Detail

#### remove

    public void remove()

Specified by:
  `remove` in interface `Iterator<T>`

#### removex

    @Nullable
    public abstract T removex()

Remove element from the underlying collection and return removed element.

Returns:
  Removed element or `null` in case no deletion occurred.

2015 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.0.0-RC3
Release Date | : March 24 2015